Bug 140741 - security/gpa fails to find keyserver helpers during configure
security/gpa fails to find keyserver helpers during configure
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-21 09:20 UTC by dioksin
Modified: 2009-12-19 19:03 UTC (History)
0 users

See Also:


Attachments
file.diff (327 bytes, patch)
2009-11-21 09:20 UTC, dioksin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dioksin 2009-11-21 09:20:01 UTC
configure script fails to find gpg2keys_* keyserver helpers

Fix: set GPGKEYS_LDAP for configure args
(not sure, whether it's a right solution)

Patch attached with submission follows:
How-To-Repeat: install security/gpa from ports;
try to upload/retrieve key;
get "There is no plugin available for the keyserver protocol you specified." error
Comment 1 Edwin Groothuis freebsd_committer 2009-11-21 09:20:09 UTC
Maintainer of security/gpa,

Please note that PR ports/140741 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/140741

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2009-11-21 09:20:11 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 bsdkaffee 2009-11-28 08:28:12 UTC
I agree with the fix.  Whoever takes this PR, please look at ports/140058 and 
ports/140059.  They are related to this PR in that security/gpa needs 
security/gnupg to be built with the GPGSM option (which requires the LDAP 
option).
Comment 4 Mark Linimon freebsd_committer 2009-11-28 10:11:28 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 pav freebsd_committer 2009-12-19 18:53:29 UTC
State Changed
From-To: open->closed

Committed, thanks